﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace RGBConfigurator
{
    public partial class TemperatureColorControl : UserControl
    {
        public TemperatureColorControl()
        {
            InitializeComponent();
        }


        private int modeNo = -1;

        public int ModeNo
        {
            get { return modeNo; }
            set
            {
                modeNo = value;
                labelModeNo.Text = "Mode " + modeNo + ":";
            }
        }

        private void numericUpDownMax_ValueChanged(object sender, EventArgs e)
        {
            if (numericUpDownMax.Value < numericUpDownMin.Value)
            {
                numericUpDownMin.Value = numericUpDownMax.Value - 1;
            }
        }

        private void numericUpDownMin_ValueChanged(object sender, EventArgs e)
        {
            if (numericUpDownMax.Value < numericUpDownMin.Value)
            {
                numericUpDownMax.Value = numericUpDownMin.Value + 1;
            }
        }

        public byte TempMin
        {
            get
            {

                return (byte)numericUpDownMin.Value;
            }
            set
            {
                try
                {
                    numericUpDownMin.Value = value;
                }
                catch (Exception e)
                {
                    MessageBox.Show(this, e.Message);
                    
                }
            }
        }

        public byte TempMax
        {
            get
            {
                return (byte)numericUpDownMax.Value;
            }
            set
            {
                try
                {
                    numericUpDownMax.Value = value;
                }
                catch (Exception e)
                {
                    MessageBox.Show(this, e.Message);
                    
                }
            }
        }
    }
}
